﻿@model JobHunt.BU.DTO.NewDTO
@using JobHunt.BU.DTO
@{
    ViewBag.Title = "" + Model.NTitle;
    Layout = "~/Views/Shared/_Layout.cshtml";
    //Danh sách blogs liên quan
    var ListBlogs = (List<NewDTO>)ViewBag.RelatedBlogs;
}

<section class="overlape">
    <div class="block no-padding">
        <div data-velocity="-.1" style="background: url(/Assets/client/images/resource/mslider1.jpg) 50% -62.5px repeat scroll transparent;" class="parallax scrolly-invisible no-parallax"></div><!-- PARALLAX BACKGROUND IMAGE -->
        <div class="container fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="inner-header">
                        <h3>@Model.NTitle</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<section>
    <div class="block">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 column">
                    <div class="blog-single">
                        <div class="bs-thumb"><img src="@Model.NAvatar" alt=""></div>
                        <ul class="post-metas">
                            <li><a href="#" title="">Người đăng: <img src="images/resource/admin.jpg" alt="">Nhân viên</a></li>
                            @if (@Model.NPublicDate != null)
                            {
                                <li>
                                    <a href="#" title="">Ngày: <i class="la la-calendar-o"></i>@Model.NPublicDate.Value.ToString("dd/MM/yyyy")</a>
                                </li>
                            }

                            <li>
                                <a href="#" title="">
                                    Thể loại:
                                    <i class="la la-file-text">
                                    </i>@Model.CategoryDTO.CName
                                </a>
                            </li>
                        </ul>
                        <h2>@Model.NQuote</h2>
                        @Html.Raw(Model.NDetail)
                    </div>
                </div>
            </div>
        </div>
    </div>

    <aside class="col-lg-12 column mb-5">
        <div class="">
            <h3>Các bài viết liên quan</h3>
            <div class="col-lg-12 row">
                @if (ListBlogs.Count > 0)
                {
                    foreach (var n in ListBlogs.Take(3).OrderByDescending(x => x.NPublicDate))
                    {
                        <div class="col-lg-4">
                            <div class="my-blog">
                                <div class="blog-thumb">
                                    <a href="@Url.Action("DetailBlog", "Blog", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(n.NTitle, n.NewsId) })" title=""><img src="@n.NAvatar" alt="" class="avatarimagenew" /></a>
                                    <div class="blog-metas">
                                        <a title="">@n.NPostDate.Value.ToString("dd-MM-yyyy")</a>
                                    </div>
                                </div>
                                <div class="blog-details">
                                    <h3><a href="@Url.Action("DetailBlog", "Blog", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(n.NTitle, n.NewsId) })" title="@n.NTitle" class="titlejob">@n.NTitle</a></h3>
                                    <p class="describecontent">@n.NQuote</p>
                                    <a href="@Url.Action("DetailBlog", "Blog", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(n.NTitle, n.NewsId) })" title="">Xem chi tiết<i class="la la-long-arrow-right"></i></a>
                                </div>
                            </div>
                        </div>
                    }
                }

                @*<div class="col-lg-4">
                        <div class="my-blog">
                            <div class="blog-thumb">
                                <a href="#" title=""><img src="~/Assets/client/images/resource/b2.jpg" alt="" /></a>
                                <div class="blog-metas">
                                    <a href="#" title="">@DateTime.Now.ToString("dd-MM-yyyy")</a>
                                </div>
                            </div>
                            <div class="blog-details">
                                <h3><a href="#" title="">11 Tips to Help You Get New Clients</a></h3>
                                <p>A job is a regular activity performed in exchange becoming an employee, volunteering, </p>
                                <a href="#" title="">Read More <i class="la la-long-arrow-right"></i></a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="my-blog">
                            <div class="blog-thumb">
                                <a href="#" title=""><img src="~/Assets/client/images/resource/b3.jpg" alt="" /></a>
                                <div class="blog-metas">
                                    <a href="#" title="">@DateTime.Now.ToString("dd-MM-yyyy")</a>
                                </div>
                            </div>
                            <div class="blog-details">
                                <h3><a href="#" title="">An Overworked Newspaper Editor</a></h3>
                                <p>A job is a regular activity performed in exchange becoming an employee, volunteering, </p>
                                <a href="#" title="">Read More <i class="la la-long-arrow-right"></i></a>
                            </div>
                        </div>
                    </div>*@
            </div>
        </div>
    </aside>
</section>
